Skip to Content
Chameleon Docs

List manuals

The caller's manuals, last changed first.

GET
/api/manuals

The caller's manuals, last changed first.

Authorization

headerx-api-key<token>

Scope: manuals:read

Query Parameters

category?string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
tag?|array<>

Response Body

The manuals

application/json
  1. response
manuals*array<>
Example Request
curl -X GET 'https://www.chameleonlabs.org/api/manuals'
Example Response
{  "manuals": [    {      "id": "string",      "ownerId": "string",      "title": "string",      "categoryId": "string",      "tags": [        "string"      ],      "source": {        "sha256": "string",        "pageCount": 0,        "pageSizes": [          {            "width": 0,            "height": 0          }        ]      },      "documents": {        "labels": 0,        "image-settings": 0,        "cards": 0,        "asset-index": 0      },      "hasAssets": true,      "hasCards": true,      "cardCount": 0,      "published": "none",      "packKey": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "publishedCardCount": 0,      "job": {        "id": "string",        "kind": "breakdown",        "status": "running",        "startedAt": "2019-08-24T14:15:22Z",        "stoppedAt": "2019-08-24T14:15:22Z",        "error": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}